// Copyright (c) 2018 GeometryFactory (France). All rights reserved.
// 
// This file is part of CGAL (www.cgal.org); you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation; either version 3 of the License,
// or (at your option) any later version.
// 
// Licensees holding a valid commercial license may use this file in
// accordance with the commercial license agreement provided with the software.
// 
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// 
// $URL: https://github.com/CGAL/cgal/blob/releases/CGAL-4.14/Installation/include/CGAL/disable_warnings.h $
// $Id: disable_warnings.h b33ab79 %aI Andreas Fabri
// SPDX-License-Identifier: LGPL-3.0+
// 
// Author: Andreas Fabri

#include <boost/config.hpp>

#if defined(BOOST_MSVC)
#  pragma warning(push)
#  pragma warning(disable: 4099) // struct class mixed
#  pragma warning(disable: 4127) // conditional expression is constant
#  pragma warning(disable: 4180)  // qualifier applied to function type has no meaning; ignored
#  pragma warning(disable: 4355) // 'this' : used in base member initializer list
#  pragma warning(disable: 4396) //  the inline specifier cannot be used when a friend declaration refers to a specialization of a function template
#  pragma warning(disable: 4510) // default constructor could not be generated
#  pragma warning(disable: 4512) //  assignment operator could not be generated
#  pragma warning(disable: 4522) // multiple assignment operators specified
#  pragma warning(disable: 4610) // can never be instantiated - user defined constructor required
#  pragma warning(disable: 4706) // assignment within conditional expression
#  pragma warning(disable: 4714) // function marked as __forceinline not inlined
#  pragma warning(disable: 4800) //  forcing value to bool 'true' or 'false' (performance warning)
#  pragma warning(disable: 4913) // user defined binary operator ',' exists but no overload could convert all operands, default built-in binary operator ',' used
#  pragma warning(disable: 4834) // discarding return value of function with 'nodiscard' attribute


#endif
